# r_message_base.cc File Reference

## Detailed Description

Base class for email-oriented Blackberry database records.

Definition in file r_message_base.cc.

`#include "r_message_base.h"`
`#include "record-internal.h"`
`#include "protostructs.h"`
`#include "data.h"`
`#include "time.h"`
`#include "endian.h"`
`#include "iconv.h"`
`#include <ostream>`
`#include <iomanip>`
`#include <stdexcept>`
`#include "debug.h"`

Include dependency graph for r_message_base.cc:

Go to the source code of this file.

## Namespaces

namespace | Barry